This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 426144 - undefined reference to `audit_init'
undefined reference to `audit_init'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
ia64 Linux
high Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-12-18 14:46 EST by Doug Chapman
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 00:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-12-18 14:46:05 EST
Description of problem:
When trying to build dbus on ia64 it fails with:

/root/dbus-1.1.2/dbus/dbus-sysdeps-util-unix.c:398: undefined reference to
`audit_init'

This was introduced by the patch: dbus-1.1.2-audit-user.patch

So far I have not figured out why this just causes ia64 to fail and not others.

I am still investigating but if the dbus maintainers have suggestions on how to
fix this please let me know.  I am happy to try things out if you do not have
access to an ia64 system.


Version-Release number of selected component (if applicable):
dbus-1.1.2-9.fc9.src.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2008-02-22 00:39:58 EST
building cleanly in rawhide now, closing.

Note You need to log in before you can comment on or make changes to this bug.